Page MenuHomePhabricator

New Pages Feed: filter setting not sticking on refresh from AfC
Closed, ResolvedPublic

Description

@Etonkovidova -- in the gif below, I am able to consistently reproduce this problem:

  1. Select "Articles for Creation" in the New Pages Feed.
  2. Refresh the page.
  3. Switch to "New Page Patrol".
  4. Open filters menu.
  5. Note that none of the "Type" options are selected, and therefore I can't save filters.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 11:46 PM

Change 465510 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Default to 'deleted' and 'others' when no type is selected on mode switch

https://gerrit.wikimedia.org/r/465510

SBisson claimed this task.Oct 9 2018, 8:17 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 465510 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Default to 'deleted' and 'others' when no type is selected on mode switch

https://gerrit.wikimedia.org/r/465510

Change 465677 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.24] Default to 'deleted' and 'others' when no type is selected on mode switch

https://gerrit.wikimedia.org/r/465677

Change 465677 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.24] Default to 'deleted' and 'others' when no type is selected on mode switch

https://gerrit.wikimedia.org/r/465677

The fix for this was deployed to production.

Etonkovidova closed this task as Resolved.Oct 11 2018, 7:36 PM